# std::atomic< _Tp * > Struct Template Reference
[Atomics]

Partial specialization for pointer types. More...

Inherits atomic_address.

List of all members.

## Public Member Functions

- atomic (_Tp *__v)
- atomic (const atomic &)
- bool compare_exchange_strong (_Tp *&, _Tp *, memory_order=memory_order_seq_cst) volatile
- bool compare_exchange_strong (_Tp *&, _Tp *, memory_order, memory_order) volatile
- bool compare_exchange_weak (_Tp *&, _Tp *, memory_order=memory_order_seq_cst) volatile
- bool compare_exchange_weak (_Tp *&, _Tp *, memory_order, memory_order) volatile
- _Tp * exchange (_Tp *, memory_order=memory_order_seq_cst) volatile
- _Tp * fetch_add (ptrdiff_t, memory_order=memory_order_seq_cst) volatile
- _Tp * fetch_sub (ptrdiff_t, memory_order=memory_order_seq_cst) volatile
- _Tp * load (memory_order=memory_order_seq_cst) const volatile
- operator _Tp * () const volatile
- _Tp * operator++ () volatile
- _Tp * operator++ (int) volatile
- _Tp * operator+= (ptrdiff_t __d) volatile
- _Tp * operator-- () volatile
- _Tp * operator-- (int) volatile
- _Tp * operator-= (ptrdiff_t __d) volatile
- _Tp * operator= (_Tp *__v) volatile
- atomic & operator= (const atomic &)
- void store (_Tp *, memory_order=memory_order_seq_cst) volatile

## Detailed Description

### template<typename _Tp>
struct std::atomic< _Tp * >

Partial specialization for pointer types.

Definition at line 141 of file cstdatomic.

The documentation for this struct was generated from the following file:

- cstdatomic